//
//  BannerTemplateInteractor.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/18/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import Foundation
import RxSwift

protocol BannerTemplateInteractorInterface: InteractorInterface {
    func getCategoryItems() -> Observable<[CategoryItem]>
}
final class BannerTemplateInteractor {
}

// MARK: - Extensions -


private let containerBackgroundColors: [UIColor] = [
    Colors.yellow.withAlphaComponent(0.7),
    Colors.green300,
    Colors.ds2Warning1.withAlphaComponent(0.8),
    Colors.red300
]

extension BannerTemplateInteractor: BannerTemplateInteractorInterface {
    func getCategoryItems() -> Observable<[CategoryItem]> {
        return Observable.just(
            Array(
                repeating: 0,
                count: 4
            )
            .indices
            .map {
                CategoryItem(
                    containerBackgroundColor: containerBackgroundColors[$0 % containerBackgroundColors.count],
                    title: "Category \($0)"
                )
            }
        )
    }
}
